//! Project constants
//!
//! This module contains all the hard-coded value that might be used everywhere in the project.
//!
//! @author Pierre Hubert

/// The name of the tables
pub mod database_tables_names {
    /// API services tokens table
    pub const SERVICES_TABLES: &str = "comunic_api_services_tokens";

    /// User access tokens table
    pub const USER_ACCESS_TOKENS_TABLE: &str = "comunic_api_users_tokens";

    /// User table
    pub const USERS_TABLE: &str = "utilisateurs";

    /// Friends table
    pub const FRIENDS_TABLE: &str = "amis";

    /// Custom emojis table
    pub const EMOJIS_TABLE: &str = "comunic_custom_emojis";
}

/// The account image to show for user who do not have any
pub const DEFAULT_ACCOUNT_IMAGE: &str = "avatars/0Reverse.png";

/// The account image to show for users who are not allowed to access other users account images
pub const ERROR_ACCOUNT_IMAGE: &str = "avatars/0Red.png";